package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.TaskSearch.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.TaskSearchResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.taskSearch.search();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessReviewIds": [
"<string>"
],
"accountOwnerIds": [
"<string>"
],
"accountTypes": [],
"actorId": "<string>",
"appEntitlementIds": [
"<string>"
],
"appResourceIds": [
"<string>"
],
"appResourceTypeIds": [
"<string>"
],
"appUserSubjectIds": [
"<string>"
],
"applicationIds": [
"<string>"
],
"assignedOrStepApproverUserId": "<string>",
"assigneesInIds": [
"<string>"
],
"certifyOutcomes": [],
"createdAfter": "2023-11-07T05:31:56Z",
"createdBefore": "2023-11-07T05:31:56Z",
"excludeAppEntitlementIds": [
"<string>"
],
"excludeAppResourceTypeIds": [
"<string>"
],
"excludeApplicationIds": [
"<string>"
],
"excludeIds": [
"<string>"
],
"expandMask": {
"paths": [
"<string>"
]
},
"grantOutcomes": [],
"includeActedAfter": "2023-11-07T05:31:56Z",
"includeDeleted": true,
"myWorkUserIds": [
"<string>"
],
"olderThanDuration": "<string>",
"openerIds": [
"<string>"
],
"openerOrSubjectUserId": "<string>",
"outcomeAfter": "2023-11-07T05:31:56Z",
"outcomeBefore": "2023-11-07T05:31:56Z",
"pageSize": 123,
"pageToken": "<string>",
"previouslyActedOnIds": [
"<string>"
],
"query": "<string>",
"refs": [
{
"id": "<string>"
}
],
"requireApprovalReason": true,
"requireDenialReason": true,
"revokeOutcomes": [],
"stepApprovalTypes": [],
"subjectIds": [
"<string>"
],
"taskStates": [],
"taskTypes": [
{
"action": {
"actionInstance": {
"connectorActionRef": {}
},
"scopeRole": {}
},
"certify": {},
"finding": {},
"grant": {
"source": {
"conversationId": "<string>",
"externalUrl": "<string>",
"integrationId": "<string>",
"isExtension": true,
"requestId": "<string>"
}
},
"offboarding": {},
"revoke": {
"source": {
"expired": {
"expiredAt": "2023-11-07T05:31:56Z"
},
"nonUsage": {
"expiresAt": "2023-11-07T05:31:56Z",
"lastLogin": "2023-11-07T05:31:56Z"
},
"request": {
"requestUserId": "<string>"
},
"review": {
"accessReviewId": "<string>",
"certTicketId": "<string>"
}
}
}
}
],
"userEmploymentStatuses": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/tasks"
payload = {
"accessReviewIds": ["<string>"],
"accountOwnerIds": ["<string>"],
"accountTypes": [],
"actorId": "<string>",
"appEntitlementIds": ["<string>"],
"appResourceIds": ["<string>"],
"appResourceTypeIds": ["<string>"],
"appUserSubjectIds": ["<string>"],
"applicationIds": ["<string>"],
"assignedOrStepApproverUserId": "<string>",
"assigneesInIds": ["<string>"],
"certifyOutcomes": [],
"createdAfter": "2023-11-07T05:31:56Z",
"createdBefore": "2023-11-07T05:31:56Z",
"excludeAppEntitlementIds": ["<string>"],
"excludeAppResourceTypeIds": ["<string>"],
"excludeApplicationIds": ["<string>"],
"excludeIds": ["<string>"],
"expandMask": { "paths": ["<string>"] },
"grantOutcomes": [],
"includeActedAfter": "2023-11-07T05:31:56Z",
"includeDeleted": True,
"myWorkUserIds": ["<string>"],
"olderThanDuration": "<string>",
"openerIds": ["<string>"],
"openerOrSubjectUserId": "<string>",
"outcomeAfter": "2023-11-07T05:31:56Z",
"outcomeBefore": "2023-11-07T05:31:56Z",
"pageSize": 123,
"pageToken": "<string>",
"previouslyActedOnIds": ["<string>"],
"query": "<string>",
"refs": [{ "id": "<string>" }],
"requireApprovalReason": True,
"requireDenialReason": True,
"revokeOutcomes": [],
"stepApprovalTypes": [],
"subjectIds": ["<string>"],
"taskStates": [],
"taskTypes": [
{
"action": {
"actionInstance": { "connectorActionRef": {} },
"scopeRole": {}
},
"certify": {},
"finding": {},
"grant": { "source": {
"conversationId": "<string>",
"externalUrl": "<string>",
"integrationId": "<string>",
"isExtension": True,
"requestId": "<string>"
} },
"offboarding": {},
"revoke": { "source": {
"expired": { "expiredAt": "2023-11-07T05:31:56Z" },
"nonUsage": {
"expiresAt": "2023-11-07T05:31:56Z",
"lastLogin": "2023-11-07T05:31:56Z"
},
"request": { "requestUserId": "<string>" },
"review": {
"accessReviewId": "<string>",
"certTicketId": "<string>"
}
} }
}
],
"userEmploymentStatuses": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessReviewIds: ['<string>'],
accountOwnerIds: ['<string>'],
accountTypes: [],
actorId: '<string>',
appEntitlementIds: ['<string>'],
appResourceIds: ['<string>'],
appResourceTypeIds: ['<string>'],
appUserSubjectIds: ['<string>'],
applicationIds: ['<string>'],
assignedOrStepApproverUserId: '<string>',
assigneesInIds: ['<string>'],
certifyOutcomes: [],
createdAfter: '2023-11-07T05:31:56Z',
createdBefore: '2023-11-07T05:31:56Z',
excludeAppEntitlementIds: ['<string>'],
excludeAppResourceTypeIds: ['<string>'],
excludeApplicationIds: ['<string>'],
excludeIds: ['<string>'],
expandMask: {paths: ['<string>']},
grantOutcomes: [],
includeActedAfter: '2023-11-07T05:31:56Z',
includeDeleted: true,
myWorkUserIds: ['<string>'],
olderThanDuration: '<string>',
openerIds: ['<string>'],
openerOrSubjectUserId: '<string>',
outcomeAfter: '2023-11-07T05:31:56Z',
outcomeBefore: '2023-11-07T05:31:56Z',
pageSize: 123,
pageToken: '<string>',
previouslyActedOnIds: ['<string>'],
query: '<string>',
refs: [{id: '<string>'}],
requireApprovalReason: true,
requireDenialReason: true,
revokeOutcomes: [],
stepApprovalTypes: [],
subjectIds: ['<string>'],
taskStates: [],
taskTypes: [
{
action: {actionInstance: {connectorActionRef: {}}, scopeRole: {}},
certify: {},
finding: {},
grant: {
source: {
conversationId: '<string>',
externalUrl: '<string>',
integrationId: '<string>',
isExtension: true,
requestId: '<string>'
}
},
offboarding: {},
revoke: {
source: {
expired: {expiredAt: '2023-11-07T05:31:56Z'},
nonUsage: {expiresAt: '2023-11-07T05:31:56Z', lastLogin: '2023-11-07T05:31:56Z'},
request: {requestUserId: '<string>'},
review: {accessReviewId: '<string>', certTicketId: '<string>'}
}
}
}
],
userEmploymentStatuses: ['<string>']
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expanded": [
{
"@type": "<string>"
}
],
"list": [
{
"accessReviewPath": "<string>",
"appPath": "<string>",
"appUserLastUsagePath": "<string>",
"appUserPath": "<string>",
"approversPath": "<string>",
"createdByUserPath": "<string>",
"entitlementsPath": "<string>",
"identityUserPath": "<string>",
"insightsPath": "<string>",
"resourceBindingsPath": "<string>",
"roleResourcePath": "<string>",
"scopeResourcePath": "<string>",
"stepApproversPath": "<string>",
"task": {
"actions": [],
"analysisId": "<string>",
"annotations": [
{
"@type": "<string>"
}
],
"approverIds": [
"<string>"
],
"commentCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"data": {},
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"emergencyAccess": true,
"externalRefs": [
{
"name": "<string>",
"url": "<string>"
}
],
"form": {
"description": "<string>",
"displayName": "<string>",
"fieldGroups": [
{
"default": true,
"displayName": "<string>",
"fields": [
"<string>"
],
"helpText": "<string>",
"name": "<string>"
}
],
"fieldRelationships": [
{
"atLeastOne": {},
"dependentOn": {
"dependencyFieldNames": [
"<string>"
]
},
"fieldNames": [
"<string>"
],
"mutuallyExclusive": {},
"requiredTogether": {}
}
],
"fields": [
{
"adminConfig": {
"defaultValueCel": "<string>",
"showToUser": true
},
"boolField": {
"checkboxField": {},
"defaultValue": true,
"rules": {
"const": true
},
"toggleField": {}
},
"description": "<string>",
"displayName": "<string>",
"fileField": {
"acceptedFileTypes": [
"<string>"
],
"fileInputField": {},
"maxFileSize": "<string>"
},
"int64Field": {
"defaultValue": "<string>",
"numberField": {
"maxValue": "<string>",
"minValue": "<string>",
"step": "<string>"
},
"placeholder": "<string>",
"rules": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
}
},
"name": "<string>",
"oauth2Field": {
"oauth2FieldView": {}
},
"readOnly": true,
"required": true,
"sharedConfig": {
"defaultValueCel": "<string>",
"inputTransformationCel": "<string>",
"lockDefaultValues": true
},
"stringField": {
"defaultValue": "<string>",
"passwordField": {},
"pickerField": {
"appUserPicker": {
"appId": "<string>"
},
"c1UserPicker": {},
"resourcePicker": {
"appId": "<string>",
"resourceTypeId": "<string>"
}
},
"placeholder": "<string>",
"rules": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
},
"selectField": {
"options": [
{
"description": "<string>",
"displayName": "<string>",
"value": "<string>"
}
]
},
"textField": {
"multiline": true,
"suffix": "<string>"
}
},
"stringMapField": {
"defaultValue": {},
"rules": {
"isRequired": true,
"validateEmpty": true
}
},
"stringSliceField": {
"chipsField": {},
"defaultValues": [
"<string>"
],
"pickerField": {
"appUserPicker": {
"appId": "<string>"
},
"c1UserPicker": {},
"resourcePicker": {
"appId": "<string>",
"resourceTypeId": "<string>"
}
},
"placeholder": "<string>",
"rules": {
"ignoreEmpty": true,
"items": {
"any": {
"in": [
"<string>"
],
"notIn": [
"<string>"
],
"required": true
},
"bool": {
"const": true
},
"bytes": {
"const": "aSDinaTvuI8gbWludGxpZnk=",
"contains": "aSDinaTvuI8gbWludGxpZnk=",
"ignoreEmpty": true,
"in": [
"aSDinaTvuI8gbWludGxpZnk="
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"maxLen": "<string>",
"minLen": "<string>",
"notIn": [
"aSDinaTvuI8gbWludGxpZnk="
],
"pattern": "<string>",
"prefix": "aSDinaTvuI8gbWludGxpZnk=",
"suffix": "aSDinaTvuI8gbWludGxpZnk="
},
"double": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"duration": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
],
"required": true
},
"enum": {
"const": 123,
"definedOnly": true,
"in": [
123
],
"notIn": [
123
]
},
"fixed32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"fixed64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"float": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"int32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"int64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"map": {
"ignoreEmpty": true,
"keys": null,
"maxPairs": "<string>",
"minPairs": "<string>",
"noSparse": true,
"values": null
},
"message": {
"required": true,
"skip": true
},
"repeated": null,
"sfixed32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"sfixed64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"sint32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"sint64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"string": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
},
"timestamp": {
"const": "2023-11-07T05:31:56Z",
"gt": "2023-11-07T05:31:56Z",
"gtNow": true,
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"ltNow": true,
"lte": "2023-11-07T05:31:56Z",
"required": true,
"within": "<string>"
},
"uint32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"uint64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
}
},
"maxItems": "<string>",
"minItems": "<string>",
"unique": true
}
},
"userConfig": {
"inputTransformationCel": "<string>"
}
}
],
"id": "<string>"
},
"id": "<string>",
"insightIds": [
"<string>"
],
"numericId": "<string>",
"policy": {
"current": {
"accept": {
"acceptMessage": "<string>"
},
"action": {
"action": {
"automation": {
"automationTemplateId": "<string>"
},
"batonResourceAction": {
"batonResourceActionId": "<string>"
},
"clientIdApproval": {}
},
"automation": {
"automationExecutionId": "<string>"
},
"batonResourceActionInstance": {
"batonActionInvocationId": "<string>"
},
"cancelled": {
"outcomeTime": "2023-11-07T05:31:56Z"
},
"clientIdApprovalInstance": {
"clientIdUrl": "<string>"
},
"denied": {
"outcomeTime": "2023-11-07T05:31:56Z"
},
"error": {
"errorCode": "<string>",
"errorMessage": "<string>",
"outcomeTime": "2023-11-07T05:31:56Z"
},
"success": {
"outcomeTime": "2023-11-07T05:31:56Z"
}
},
"approval": {
"approval": {
"agent": {
"agentUserId": "<string>",
"instructions": "<string>",
"policyIds": [
"<string>"
],
"reassignToUserIds": [
"<string>"
]
},
"allowDelegation": true,
"allowReassignment": true,
"allowedReassignees": [
"<string>"
],
"appOwners": {
"allowSelfApproval": true,
"requireDistinctApprovers": true
},
"assigned": true,
"entitlementOwners": {
"allowSelfApproval": true,
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"escalation": {
"cancelTicket": {},
"escalationComment": "<string>",
"expiration": "<string>",
"reassignToApprovers": {
"approverIds": [
"<string>"
]
},
"replacePolicy": {
"policyId": "<string>"
},
"skipStep": {}
},
"escalationEnabled": true,
"expression": {
"allowSelfApproval": true,
"assignedUserIds": [
"<string>"
],
"expressions": [
"<string>"
],
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"group": {
"allowSelfApproval": true,
"appGroupId": "<string>",
"appId": "<string>",
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"manager": {
"allowSelfApproval": true,
"assignedUserIds": [
"<string>"
],
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"requireApprovalReason": true,
"requireDenialReason": true,
"requireReassignmentReason": true,
"requiresStepUpProviderId": "<string>",
"resourceOwners": {
"allowSelfApproval": true,
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"self": {
"assignedUserIds": [
"<string>"
],
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true
},
"users": {
"allowSelfApproval": true,
"requireDistinctApprovers": true,
"userIds": [
"<string>"
]
},
"webhook": {
"webhookId": "<string>"
}
},
"approved": {
"approvedAt": "2023-11-07T05:31:56Z",
"entitlements": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"stepUpTransactionId": "<string>",
"userId": "<string>"
},
"assignedAt": "2023-11-07T05:31:56Z",
"denied": {
"deniedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"escalationInstance": {
"alreadyEscalated": true,
"cancelTicket": {},
"escalationComment": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"reassignToApprovers": {
"approverIds": [
"<string>"
]
},
"replacePolicy": {
"policyId": "<string>"
},
"skipStep": {}
},
"reassigned": {
"newPolicyStepId": "<string>",
"reassignedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"reassignedByError": {
"description": "<string>",
"errorCode": "<string>",
"errorUserId": "<string>",
"erroredAt": "2023-11-07T05:31:56Z",
"newPolicyStepId": "<string>",
"reassignedAt": "2023-11-07T05:31:56Z"
},
"restarted": {
"oldPolicyStepId": "<string>",
"restartedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"skipped": {
"newPolicyStepId": "<string>",
"skippedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
},
"form": {
"completed": {
"completedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"data": {},
"form": {
"description": "<string>",
"displayName": "<string>",
"fieldGroups": [
{
"default": true,
"displayName": "<string>",
"fields": [
"<string>"
],
"helpText": "<string>",
"name": "<string>"
}
],
"fieldRelationships": [
{
"atLeastOne": {},
"dependentOn": {
"dependencyFieldNames": [
"<string>"
]
},
"fieldNames": [
"<string>"
],
"mutuallyExclusive": {},
"requiredTogether": {}
}
],
"fields": [
{
"adminConfig": {
"defaultValueCel": "<string>",
"showToUser": true
},
"boolField": {
"checkboxField": {},
"defaultValue": true,
"rules": {
"const": true
},
"toggleField": {}
},
"description": "<string>",
"displayName": "<string>",
"fileField": {
"acceptedFileTypes": [
"<string>"
],
"fileInputField": {},
"maxFileSize": "<string>"
},
"int64Field": {
"defaultValue": "<string>",
"numberField": {
"maxValue": "<string>",
"minValue": "<string>",
"step": "<string>"
},
"placeholder": "<string>",
"rules": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
}
},
"name": "<string>",
"oauth2Field": {
"oauth2FieldView": {}
},
"readOnly": true,
"required": true,
"sharedConfig": {
"defaultValueCel": "<string>",
"inputTransformationCel": "<string>",
"lockDefaultValues": true
},
"stringField": {
"defaultValue": "<string>",
"passwordField": {},
"pickerField": {
"appUserPicker": {
"appId": "<string>"
},
"c1UserPicker": {},
"resourcePicker": {
"appId": "<string>",
"resourceTypeId": "<string>"
}
},
"placeholder": "<string>",
"rules": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
},
"selectField": {
"options": [
{
"description": "<string>",
"displayName": "<string>",
"value": "<string>"
}
]
},
"textField": {
"multiline": true,
"suffix": "<string>"
}
},
"stringMapField": {
"defaultValue": {},
"rules": {
"isRequired": true,
"validateEmpty": true
}
},
"stringSliceField": {
"chipsField": {},
"defaultValues": [
"<string>"
],
"pickerField": {
"appUserPicker": {
"appId": "<string>"
},
"c1UserPicker": {},
"resourcePicker": {
"appId": "<string>",
"resourceTypeId": "<string>"
}
},
"placeholder": "<string>",
"rules": {
"ignoreEmpty": true,
"items": {
"any": {
"in": [
"<string>"
],
"notIn": [
"<string>"
],
"required": true
},
"bool": {
"const": true
},
"bytes": {
"const": "aSDinaTvuI8gbWludGxpZnk=",
"contains": "aSDinaTvuI8gbWludGxpZnk=",
"ignoreEmpty": true,
"in": [
"aSDinaTvuI8gbWludGxpZnk="
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"maxLen": "<string>",
"minLen": "<string>",
"notIn": [
"aSDinaTvuI8gbWludGxpZnk="
],
"pattern": "<string>",
"prefix": "aSDinaTvuI8gbWludGxpZnk=",
"suffix": "aSDinaTvuI8gbWludGxpZnk="
},
"double": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"duration": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
],
"required": true
},
"enum": {
"const": 123,
"definedOnly": true,
"in": [
123
],
"notIn": [
123
]
},
"fixed32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"fixed64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"float": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"int32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"int64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"map": {
"ignoreEmpty": true,
"keys": null,
"maxPairs": "<string>",
"minPairs": "<string>",
"noSparse": true,
"values": null
},
"message": {
"required": true,
"skip": true
},
"repeated": null,
"sfixed32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"sfixed64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"sint32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"sint64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"string": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
},
"timestamp": {
"const": "2023-11-07T05:31:56Z",
"gt": "2023-11-07T05:31:56Z",
"gtNow": true,
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"ltNow": true,
"lte": "2023-11-07T05:31:56Z",
"required": true,
"within": "<string>"
},
"uint32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"uint64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
}
},
"maxItems": "<string>",
"minItems": "<string>",
"unique": true
}
},
"userConfig": {
"inputTransformationCel": "<string>"
}
}
],
"id": "<string>"
},
"reassigned": {
"newPolicyStepId": "<string>",
"reassignedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"restarted": {
"oldPolicyStepId": "<string>",
"restartedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"skipped": {
"newPolicyStepId": "<string>",
"skippedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
},
"id": "<string>",
"policyGenerationId": "<string>",
"provision": {
"batonActionInvocationId": "<string>",
"cancelled": {
"cancelledAt": "2023-11-07T05:31:56Z",
"cancelledByUserId": "<string>"
},
"completed": {
"completedAt": "2023-11-07T05:31:56Z",
"entitlements": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"userId": "<string>"
},
"errored": {
"description": "<string>",
"errorCode": "<string>",
"erroredAt": "2023-11-07T05:31:56Z"
},
"externalTicketId": "<string>",
"externalTicketProvisionerConfigId": "<string>",
"notificationId": "<string>",
"provision": {
"assigned": true,
"provisionPolicy": {
"action": {
"actionName": "<string>",
"appId": "<string>",
"connectorId": "<string>",
"displayName": "<string>"
},
"connector": {
"account": {
"config": {},
"connectorId": "<string>",
"doNotSave": {},
"saveToVault": {
"vaultIds": [
"<string>"
]
},
"schemaId": "<string>"
},
"defaultBehavior": {
"connectorId": "<string>"
},
"deleteAccount": {
"connectorId": "<string>"
}
},
"delegated": {
"appId": "<string>",
"entitlementId": "<string>",
"implicit": true
},
"externalTicket": {
"appId": "<string>",
"connectorId": "<string>",
"externalTicketProvisionerConfigId": "<string>",
"instructions": "<string>"
},
"manual": {
"assignee": {
"appOwners": {
"allowReassignment": true,
"fallbackUserIds": [
"<string>"
]
},
"entitlementOwners": {
"allowReassignment": true,
"fallbackUserIds": [
"<string>"
]
},
"expression": {
"allowReassignment": true,
"expressions": [
"<string>"
],
"fallbackUserIds": [
"<string>"
]
},
"group": {
"allowReassignment": true,
"appGroupId": "<string>",
"appId": "<string>",
"fallbackUserIds": [
"<string>"
]
},
"manager": {
"allowReassignment": true,
"fallbackUserIds": [
"<string>"
]
},
"users": {
"allowReassignment": true,
"userIds": [
"<string>"
]
}
},
"instructions": "<string>",
"userIds": [
"<string>"
]
},
"multiStep": {
"provisionSteps": "<array>"
},
"unconfigured": {},
"webhook": {
"webhookId": "<string>"
}
},
"provisionTarget": {
"appEntitlementId": "<string>",
"appId": "<string>",
"appUserId": "<string>",
"grantDuration": "<string>"
}
},
"reassignedByError": {
"description": "<string>",
"errorCode": "<string>",
"errorUserId": "<string>",
"erroredAt": "2023-11-07T05:31:56Z",
"newPolicyStepId": "<string>",
"reassignedAt": "2023-11-07T05:31:56Z"
},
"skipped": {
"newPolicyStepId": "<string>",
"skippedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"webhookId": "<string>",
"webhookInstanceId": "<string>"
},
"reject": {
"rejectMessage": "<string>"
},
"wait": {
"commentOnFirstWait": "<string>",
"commentOnTimeout": "<string>",
"condition": {
"condition": "<string>"
},
"name": "<string>",
"skipped": {
"newPolicyStepId": "<string>",
"skippedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"startedWaitingAt": "2023-11-07T05:31:56Z",
"succeeded": {
"succeededAt": "2023-11-07T05:31:56Z"
},
"timedOut": {
"timedOutAt": "2023-11-07T05:31:56Z"
},
"timeout": "2023-11-07T05:31:56Z",
"timeoutDuration": "<string>",
"untilTime": {
"durationIfExists": "<string>",
"untilTime": "2023-11-07T05:31:56Z"
}
}
},
"history": [
{
"accept": {
"acceptMessage": "<string>"
},
"action": {
"action": {
"automation": {
"automationTemplateId": "<string>"
},
"batonResourceAction": {
"batonResourceActionId": "<string>"
},
"clientIdApproval": {}
},
"automation": {
"automationExecutionId": "<string>"
},
"batonResourceActionInstance": {
"batonActionInvocationId": "<string>"
},
"cancelled": {
"outcomeTime": "2023-11-07T05:31:56Z"
},
"clientIdApprovalInstance": {
"clientIdUrl": "<string>"
},
"denied": {
"outcomeTime": "2023-11-07T05:31:56Z"
},
"error": {
"errorCode": "<string>",
"errorMessage": "<string>",
"outcomeTime": "2023-11-07T05:31:56Z"
},
"success": {
"outcomeTime": "2023-11-07T05:31:56Z"
}
},
"approval": {
"approval": {
"agent": {
"agentUserId": "<string>",
"instructions": "<string>",
"policyIds": [
"<string>"
],
"reassignToUserIds": [
"<string>"
]
},
"allowDelegation": true,
"allowReassignment": true,
"allowedReassignees": [
"<string>"
],
"appOwners": {
"allowSelfApproval": true,
"requireDistinctApprovers": true
},
"assigned": true,
"entitlementOwners": {
"allowSelfApproval": true,
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"escalation": {
"cancelTicket": {},
"escalationComment": "<string>",
"expiration": "<string>",
"reassignToApprovers": {
"approverIds": [
"<string>"
]
},
"replacePolicy": {
"policyId": "<string>"
},
"skipStep": {}
},
"escalationEnabled": true,
"expression": {
"allowSelfApproval": true,
"assignedUserIds": [
"<string>"
],
"expressions": [
"<string>"
],
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"group": {
"allowSelfApproval": true,
"appGroupId": "<string>",
"appId": "<string>",
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"manager": {
"allowSelfApproval": true,
"assignedUserIds": [
"<string>"
],
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"requireApprovalReason": true,
"requireDenialReason": true,
"requireReassignmentReason": true,
"requiresStepUpProviderId": "<string>",
"resourceOwners": {
"allowSelfApproval": true,
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"self": {
"assignedUserIds": [
"<string>"
],
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true
},
"users": {
"allowSelfApproval": true,
"requireDistinctApprovers": true,
"userIds": [
"<string>"
]
},
"webhook": {
"webhookId": "<string>"
}
},
"approved": {
"approvedAt": "2023-11-07T05:31:56Z",
"entitlements": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"stepUpTransactionId": "<string>",
"userId": "<string>"
},
"assignedAt": "2023-11-07T05:31:56Z",
"denied": {
"deniedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"escalationInstance": {
"alreadyEscalated": true,
"cancelTicket": {},
"escalationComment": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"reassignToApprovers": {
"approverIds": [
"<string>"
]
},
"replacePolicy": {
"policyId": "<string>"
},
"skipStep": {}
},
"reassigned": {
"newPolicyStepId": "<string>",
"reassignedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"reassignedByError": {
"description": "<string>",
"errorCode": "<string>",
"errorUserId": "<string>",
"erroredAt": "2023-11-07T05:31:56Z",
"newPolicyStepId": "<string>",
"reassignedAt": "2023-11-07T05:31:56Z"
},
"restarted": {
"oldPolicyStepId": "<string>",
"restartedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"skipped": {
"newPolicyStepId": "<string>",
"skippedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
},
"form": {
"completed": {
"completedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"data": {},
"form": {
"description": "<string>",
"displayName": "<string>",
"fieldGroups": [
{
"default": true,
"displayName": "<string>",
"fields": [
"<string>"
],
"helpText": "<string>",
"name": "<string>"
}
],
"fieldRelationships": [
{
"atLeastOne": {},
"dependentOn": {
"dependencyFieldNames": [
"<string>"
]
},
"fieldNames": [
"<string>"
],
"mutuallyExclusive": {},
"requiredTogether": {}
}
],
"fields": [
{
"adminConfig": {
"defaultValueCel": "<string>",
"showToUser": true
},
"boolField": {
"checkboxField": {},
"defaultValue": true,
"rules": {
"const": true
},
"toggleField": {}
},
"description": "<string>",
"displayName": "<string>",
"fileField": {
"acceptedFileTypes": [
"<string>"
],
"fileInputField": {},
"maxFileSize": "<string>"
},
"int64Field": {
"defaultValue": "<string>",
"numberField": {
"maxValue": "<string>",
"minValue": "<string>",
"step": "<string>"
},
"placeholder": "<string>",
"rules": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
}
},
"name": "<string>",
"oauth2Field": {
"oauth2FieldView": {}
},
"readOnly": true,
"required": true,
"sharedConfig": {
"defaultValueCel": "<string>",
"inputTransformationCel": "<string>",
"lockDefaultValues": true
},
"stringField": {
"defaultValue": "<string>",
"passwordField": {},
"pickerField": {
"appUserPicker": {
"appId": "<string>"
},
"c1UserPicker": {},
"resourcePicker": {
"appId": "<string>",
"resourceTypeId": "<string>"
}
},
"placeholder": "<string>",
"rules": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
},
"selectField": {
"options": [
{
"description": "<string>",
"displayName": "<string>",
"value": "<string>"
}
]
},
"textField": {
"multiline": true,
"suffix": "<string>"
}
},
"stringMapField": {
"defaultValue": {},
"rules": {
"isRequired": true,
"validateEmpty": true
}
},
"stringSliceField": {
"chipsField": {},
"defaultValues": [
"<string>"
],
"pickerField": {
"appUserPicker": {
"appId": "<string>"
},
"c1UserPicker": {},
"resourcePicker": {
"appId": "<string>",
"resourceTypeId": "<string>"
}
},
"placeholder": "<string>",
"rules": {
"ignoreEmpty": true,
"items": {
"any": {
"in": [
"<string>"
],
"notIn": [
"<string>"
],
"required": true
},
"bool": {
"const": true
},
"bytes": {
"const": "aSDinaTvuI8gbWludGxpZnk=",
"contains": "aSDinaTvuI8gbWludGxpZnk=",
"ignoreEmpty": true,
"in": [
"aSDinaTvuI8gbWludGxpZnk="
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"maxLen": "<string>",
"minLen": "<string>",
"notIn": [
"aSDinaTvuI8gbWludGxpZnk="
],
"pattern": "<string>",
"prefix": "aSDinaTvuI8gbWludGxpZnk=",
"suffix": "aSDinaTvuI8gbWludGxpZnk="
},
"double": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"duration": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
],
"required": true
},
"enum": {
"const": 123,
"definedOnly": true,
"in": [
123
],
"notIn": [
123
]
},
"fixed32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"fixed64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"float": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"int32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"int64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"map": {
"ignoreEmpty": true,
"keys": null,
"maxPairs": "<string>",
"minPairs": "<string>",
"noSparse": true,
"values": null
},
"message": {
"required": true,
"skip": true
},
"repeated": null,
"sfixed32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"sfixed64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"sint32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"sint64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"string": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
},
"timestamp": {
"const": "2023-11-07T05:31:56Z",
"gt": "2023-11-07T05:31:56Z",
"gtNow": true,
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"ltNow": true,
"lte": "2023-11-07T05:31:56Z",
"required": true,
"within": "<string>"
},
"uint32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"uint64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
}
},
"maxItems": "<string>",
"minItems": "<string>",
"unique": true
}
},
"userConfig": {
"inputTransformationCel": "<string>"
}
}
],
"id": "<string>"
},
"reassigned": {
"newPolicyStepId": "<string>",
"reassignedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"restarted": {
"oldPolicyStepId": "<string>",
"restartedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"skipped": {
"newPolicyStepId": "<string>",
"skippedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
},
"id": "<string>",
"policyGenerationId": "<string>",
"provision": {
"batonActionInvocationId": "<string>",
"cancelled": {
"cancelledAt": "2023-11-07T05:31:56Z",
"cancelledByUserId": "<string>"
},
"completed": {
"completedAt": "2023-11-07T05:31:56Z",
"entitlements": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"userId": "<string>"
},
"errored": {
"description": "<string>",
"errorCode": "<string>",
"erroredAt": "2023-11-07T05:31:56Z"
},
"externalTicketId": "<string>",
"externalTicketProvisionerConfigId": "<string>",
"notificationId": "<string>",
"provision": {
"assigned": true,
"provisionPolicy": {
"action": {
"actionName": "<string>",
"appId": "<string>",
"connectorId": "<string>",
"displayName": "<string>"
},
"connector": {
"account": {
"config": {},
"connectorId": "<string>",
"doNotSave": {},
"saveToVault": {
"vaultIds": [
"<string>"
]
},
"schemaId": "<string>"
},
"defaultBehavior": {
"connectorId": "<string>"
},
"deleteAccount": {
"connectorId": "<string>"
}
},
"delegated": {
"appId": "<string>",
"entitlementId": "<string>",
"implicit": true
},
"externalTicket": {
"appId": "<string>",
"connectorId": "<string>",
"externalTicketProvisionerConfigId": "<string>",
"instructions": "<string>"
},
"manual": {
"assignee": {
"appOwners": {
"allowReassignment": true,
"fallbackUserIds": [
"<string>"
]
},
"entitlementOwners": {
"allowReassignment": true,
"fallbackUserIds": [
"<string>"
]
},
"expression": {
"allowReassignment": true,
"expressions": [
"<string>"
],
"fallbackUserIds": [
"<string>"
]
},
"group": {
"allowReassignment": true,
"appGroupId": "<string>",
"appId": "<string>",
"fallbackUserIds": [
"<string>"
]
},
"manager": {
"allowReassignment": true,
"fallbackUserIds": [
"<string>"
]
},
"users": {
"allowReassignment": true,
"userIds": [
"<string>"
]
}
},
"instructions": "<string>",
"userIds": [
"<string>"
]
},
"multiStep": {
"provisionSteps": "<array>"
},
"unconfigured": {},
"webhook": {
"webhookId": "<string>"
}
},
"provisionTarget": {
"appEntitlementId": "<string>",
"appId": "<string>",
"appUserId": "<string>",
"grantDuration": "<string>"
}
},
"reassignedByError": {
"description": "<string>",
"errorCode": "<string>",
"errorUserId": "<string>",
"erroredAt": "2023-11-07T05:31:56Z",
"newPolicyStepId": "<string>",
"reassignedAt": "2023-11-07T05:31:56Z"
},
"skipped": {
"newPolicyStepId": "<string>",
"skippedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"webhookId": "<string>",
"webhookInstanceId": "<string>"
},
"reject": {
"rejectMessage": "<string>"
},
"wait": {
"commentOnFirstWait": "<string>",
"commentOnTimeout": "<string>",
"condition": {
"condition": "<string>"
},
"name": "<string>",
"skipped": {
"newPolicyStepId": "<string>",
"skippedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"startedWaitingAt": "2023-11-07T05:31:56Z",
"succeeded": {
"succeededAt": "2023-11-07T05:31:56Z"
},
"timedOut": {
"timedOutAt": "2023-11-07T05:31:56Z"
},
"timeout": "2023-11-07T05:31:56Z",
"timeoutDuration": "<string>",
"untilTime": {
"durationIfExists": "<string>",
"untilTime": "2023-11-07T05:31:56Z"
}
}
}
],
"next": [
{
"accept": {
"acceptMessage": "<string>"
},
"action": {
"automation": {
"automationTemplateId": "<string>"
},
"batonResourceAction": {
"batonResourceActionId": "<string>"
},
"clientIdApproval": {}
},
"approval": {
"agent": {
"agentUserId": "<string>",
"instructions": "<string>",
"policyIds": [
"<string>"
],
"reassignToUserIds": [
"<string>"
]
},
"allowDelegation": true,
"allowReassignment": true,
"allowedReassignees": [
"<string>"
],
"appOwners": {
"allowSelfApproval": true,
"requireDistinctApprovers": true
},
"assigned": true,
"entitlementOwners": {
"allowSelfApproval": true,
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"escalation": {
"cancelTicket": {},
"escalationComment": "<string>",
"expiration": "<string>",
"reassignToApprovers": {
"approverIds": [
"<string>"
]
},
"replacePolicy": {
"policyId": "<string>"
},
"skipStep": {}
},
"escalationEnabled": true,
"expression": {
"allowSelfApproval": true,
"assignedUserIds": [
"<string>"
],
"expressions": [
"<string>"
],
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"group": {
"allowSelfApproval": true,
"appGroupId": "<string>",
"appId": "<string>",
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"manager": {
"allowSelfApproval": true,
"assignedUserIds": [
"<string>"
],
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"requireApprovalReason": true,
"requireDenialReason": true,
"requireReassignmentReason": true,
"requiresStepUpProviderId": "<string>",
"resourceOwners": {
"allowSelfApproval": true,
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true,
"requireDistinctApprovers": true
},
"self": {
"assignedUserIds": [
"<string>"
],
"fallback": true,
"fallbackGroupIds": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
],
"fallbackUserIds": [
"<string>"
],
"isGroupFallbackEnabled": true
},
"users": {
"allowSelfApproval": true,
"requireDistinctApprovers": true,
"userIds": [
"<string>"
]
},
"webhook": {
"webhookId": "<string>"
}
},
"form": {
"form": {
"description": "<string>",
"displayName": "<string>",
"fieldGroups": [
{
"default": true,
"displayName": "<string>",
"fields": [
"<string>"
],
"helpText": "<string>",
"name": "<string>"
}
],
"fieldRelationships": [
{
"atLeastOne": {},
"dependentOn": {
"dependencyFieldNames": [
"<string>"
]
},
"fieldNames": [
"<string>"
],
"mutuallyExclusive": {},
"requiredTogether": {}
}
],
"fields": [
{
"adminConfig": {
"defaultValueCel": "<string>",
"showToUser": true
},
"boolField": {
"checkboxField": {},
"defaultValue": true,
"rules": {
"const": true
},
"toggleField": {}
},
"description": "<string>",
"displayName": "<string>",
"fileField": {
"acceptedFileTypes": [
"<string>"
],
"fileInputField": {},
"maxFileSize": "<string>"
},
"int64Field": {
"defaultValue": "<string>",
"numberField": {
"maxValue": "<string>",
"minValue": "<string>",
"step": "<string>"
},
"placeholder": "<string>",
"rules": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
}
},
"name": "<string>",
"oauth2Field": {
"oauth2FieldView": {}
},
"readOnly": true,
"required": true,
"sharedConfig": {
"defaultValueCel": "<string>",
"inputTransformationCel": "<string>",
"lockDefaultValues": true
},
"stringField": {
"defaultValue": "<string>",
"passwordField": {},
"pickerField": {
"appUserPicker": {
"appId": "<string>"
},
"c1UserPicker": {},
"resourcePicker": {
"appId": "<string>",
"resourceTypeId": "<string>"
}
},
"placeholder": "<string>",
"rules": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
},
"selectField": {
"options": [
{
"description": "<string>",
"displayName": "<string>",
"value": "<string>"
}
]
},
"textField": {
"multiline": true,
"suffix": "<string>"
}
},
"stringMapField": {
"defaultValue": {},
"rules": {
"isRequired": true,
"validateEmpty": true
}
},
"stringSliceField": {
"chipsField": {},
"defaultValues": [
"<string>"
],
"pickerField": {
"appUserPicker": {
"appId": "<string>"
},
"c1UserPicker": {},
"resourcePicker": {
"appId": "<string>",
"resourceTypeId": "<string>"
}
},
"placeholder": "<string>",
"rules": {
"ignoreEmpty": true,
"items": {
"any": {
"in": [
"<string>"
],
"notIn": [
"<string>"
],
"required": true
},
"bool": {
"const": true
},
"bytes": {
"const": "aSDinaTvuI8gbWludGxpZnk=",
"contains": "aSDinaTvuI8gbWludGxpZnk=",
"ignoreEmpty": true,
"in": [
"aSDinaTvuI8gbWludGxpZnk="
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"maxLen": "<string>",
"minLen": "<string>",
"notIn": [
"aSDinaTvuI8gbWludGxpZnk="
],
"pattern": "<string>",
"prefix": "aSDinaTvuI8gbWludGxpZnk=",
"suffix": "aSDinaTvuI8gbWludGxpZnk="
},
"double": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"duration": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
],
"required": true
},
"enum": {
"const": 123,
"definedOnly": true,
"in": [
123
],
"notIn": [
123
]
},
"fixed32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"fixed64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"float": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"int32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"int64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"map": {
"ignoreEmpty": true,
"keys": null,
"maxPairs": "<string>",
"minPairs": "<string>",
"noSparse": true,
"values": null
},
"message": {
"required": true,
"skip": true
},
"repeated": null,
"sfixed32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"sfixed64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"sint32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"sint64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
},
"string": {
"address": true,
"const": "<string>",
"contains": "<string>",
"email": true,
"hostname": true,
"ignoreEmpty": true,
"in": [
"<string>"
],
"ip": true,
"ipv4": true,
"ipv6": true,
"len": "<string>",
"lenBytes": "<string>",
"maxBytes": "<string>",
"maxLen": "<string>",
"minBytes": "<string>",
"minLen": "<string>",
"notContains": "<string>",
"notIn": [
"<string>"
],
"pattern": "<string>",
"prefix": "<string>",
"strict": true,
"suffix": "<string>",
"uri": true,
"uriRef": true,
"uuid": true
},
"timestamp": {
"const": "2023-11-07T05:31:56Z",
"gt": "2023-11-07T05:31:56Z",
"gtNow": true,
"gte": "2023-11-07T05:31:56Z",
"lt": "2023-11-07T05:31:56Z",
"ltNow": true,
"lte": "2023-11-07T05:31:56Z",
"required": true,
"within": "<string>"
},
"uint32": {
"const": 123,
"gt": 123,
"gte": 123,
"ignoreEmpty": true,
"in": [
123
],
"lt": 123,
"lte": 123,
"notIn": [
123
]
},
"uint64": {
"const": "<string>",
"gt": "<string>",
"gte": "<string>",
"ignoreEmpty": true,
"in": [
"<string>"
],
"lt": "<string>",
"lte": "<string>",
"notIn": [
"<string>"
]
}
},
"maxItems": "<string>",
"minItems": "<string>",
"unique": true
}
},
"userConfig": {
"inputTransformationCel": "<string>"
}
}
],
"id": "<string>"
}
},
"provision": {
"assigned": true,
"provisionPolicy": {
"action": {
"actionName": "<string>",
"appId": "<string>",
"connectorId": "<string>",
"displayName": "<string>"
},
"connector": {
"account": {
"config": {},
"connectorId": "<string>",
"doNotSave": {},
"saveToVault": {
"vaultIds": [
"<string>"
]
},
"schemaId": "<string>"
},
"defaultBehavior": {
"connectorId": "<string>"
},
"deleteAccount": {
"connectorId": "<string>"
}
},
"delegated": {
"appId": "<string>",
"entitlementId": "<string>",
"implicit": true
},
"externalTicket": {
"appId": "<string>",
"connectorId": "<string>",
"externalTicketProvisionerConfigId": "<string>",
"instructions": "<string>"
},
"manual": {
"assignee": {
"appOwners": {
"allowReassignment": true,
"fallbackUserIds": [
"<string>"
]
},
"entitlementOwners": {
"allowReassignment": true,
"fallbackUserIds": [
"<string>"
]
},
"expression": {
"allowReassignment": true,
"expressions": [
"<string>"
],
"fallbackUserIds": [
"<string>"
]
},
"group": {
"allowReassignment": true,
"appGroupId": "<string>",
"appId": "<string>",
"fallbackUserIds": [
"<string>"
]
},
"manager": {
"allowReassignment": true,
"fallbackUserIds": [
"<string>"
]
},
"users": {
"allowReassignment": true,
"userIds": [
"<string>"
]
}
},
"instructions": "<string>",
"userIds": [
"<string>"
]
},
"multiStep": {
"provisionSteps": "<array>"
},
"unconfigured": {},
"webhook": {
"webhookId": "<string>"
}
},
"provisionTarget": {
"appEntitlementId": "<string>",
"appId": "<string>",
"appUserId": "<string>",
"grantDuration": "<string>"
}
},
"reject": {
"rejectMessage": "<string>"
},
"wait": {
"commentOnFirstWait": "<string>",
"commentOnTimeout": "<string>",
"condition": {
"condition": "<string>"
},
"duration": {
"duration": "<string>"
},
"name": "<string>",
"timeoutDuration": "<string>",
"untilTime": {
"hours": 123,
"minutes": 123,
"timezone": "<string>"
}
}
}
],
"policy": {
"annotations": {},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"policySteps": {},
"postActions": [
{
"certifyRemediateImmediately": true
}
],
"reassignTasksToDelegates": true,
"rules": [
{
"condition": "<string>",
"policyKey": "<string>"
}
],
"systemBuiltin": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"policyGenerationId": "<string>",
"revocationTargets": [
{
"entitlementRef": {
"appId": "<string>",
"id": "<string>"
}
}
],
"stepApproverIds": [
"<string>"
],
"type": {
"action": {
"actionId": "<string>",
"actionInstance": {
"connectorActionRef": {
"appId": "<string>",
"connectorId": "<string>"
},
"displayName": "<string>"
},
"displayName": "<string>",
"formValues": {},
"outcomeTime": "2023-11-07T05:31:56Z",
"scopeRole": {
"appId": "<string>",
"grantDuration": "<string>",
"roleResourceId": "<string>",
"roleResourceTypeId": "<string>",
"scopeResourceId": "<string>",
"scopeResourceTypeId": "<string>"
}
},
"certify": {
"accessReviewId": "<string>",
"accessReviewSelection": "<string>",
"appEntitlementId": "<string>",
"appId": "<string>",
"appUserId": "<string>",
"identityUserId": "<string>",
"outcomeTime": "2023-11-07T05:31:56Z"
},
"finding": {
"findingId": "<string>",
"findingType": "<string>",
"outcomeTime": "2023-11-07T05:31:56Z"
},
"grant": {
"appEntitlementId": "<string>",
"appId": "<string>",
"appUserId": "<string>",
"grantDuration": "<string>",
"identityUserId": "<string>",
"outcomeTime": "2023-11-07T05:31:56Z",
"source": {
"conversationId": "<string>",
"externalUrl": "<string>",
"integrationId": "<string>",
"isExtension": true,
"requestId": "<string>"
}
},
"offboarding": {
"outcomeTime": "2023-11-07T05:31:56Z",
"subjectUserId": "<string>"
},
"revoke": {
"appEntitlementId": "<string>",
"appId": "<string>",
"appUserId": "<string>",
"identityUserId": "<string>",
"outcomeTime": "2023-11-07T05:31:56Z",
"source": {
"expired": {
"expiredAt": "2023-11-07T05:31:56Z"
},
"nonUsage": {
"expiresAt": "2023-11-07T05:31:56Z",
"lastLogin": "2023-11-07T05:31:56Z"
},
"request": {
"requestUserId": "<string>"
},
"review": {
"accessReviewId": "<string>",
"certTicketId": "<string>"
}
}
}
},
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"userPath": "<string>"
}
],
"nextPageToken": "<string>"
}Search
Search tasks based on filters specified in the request body.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.TaskSearch.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.TaskSearchResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.taskSearch.search();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
Search for tasks based on a plethora filters.
Search tasks that belong to any of the access reviews included in this list.
Search tasks that have any of these account owners.
The accountTypes field.
APP_USER_TYPE_UNSPECIFIED, APP_USER_TYPE_USER, APP_USER_TYPE_SERVICE_ACCOUNT, APP_USER_TYPE_SYSTEM_ACCOUNT Search tasks that have this actor ID.
Search tasks that have any of these app entitlement IDs.
Search tasks that have any of these app resource IDs.
Search tasks that have any of these app resource type IDs.
Search tasks that have any of these app users as subjects.
Search tasks that have any of these apps as targets.
Search tasks that are currently assigned to this user, or that are closed and were previously approved by this user.
Search tasks by List of UserIDs which are currently assigned these Tasks
Search tasks by certify outcome
CERTIFY_OUTCOME_UNSPECIFIED, CERTIFY_OUTCOME_CERTIFIED, CERTIFY_OUTCOME_DECERTIFIED, CERTIFY_OUTCOME_ERROR, CERTIFY_OUTCOME_CANCELLED, CERTIFY_OUTCOME_WAIT_TIMED_OUT Search tasks that have this type of step as the current step.
TASK_SEARCH_CURRENT_STEP_UNSPECIFIED, TASK_SEARCH_CURRENT_STEP_APPROVAL, TASK_SEARCH_CURRENT_STEP_PROVISION Search tasks that are or are not emergency access.
UNSPECIFIED, ALL, NON_EMERGENCY, EMERGENCY Search tasks that do not have any of these app entitlement IDs.
Search tasks that do not have any of these app resource type IDs.
Search tasks that do NOT have any of these apps as targets.
Exclude Specific TaskIDs from this serach result.
The task expand mask is an array of strings that specifes the related objects the requester wishes to have returned when making a request where the expand mask is part of the input. Use '*' to view all possible responses.
Show child attributes
Show child attributes
Search tasks by grant outcome
GRANT_OUTCOME_UNSPECIFIED, GRANT_OUTCOME_GRANTED, GRANT_OUTCOME_DENIED, GRANT_OUTCOME_ERROR, GRANT_OUTCOME_CANCELLED, GRANT_OUTCOME_WAIT_TIMED_OUT Whether or not to include deleted tasks.
Search tasks where the user would see this task in the My Work section
Search tasks that were created by any of the users in this array.
Search tasks that were opened by this user, or that the user is the subject of.
The pageSize where 0 <= pageSize <= 100. Values < 10 will be set to 10. A value of 0 returns the default page size (currently 25)
The pageToken field.
Filter tasks by pending action status. Only applies when exactly one access_review_id is specified. Requires the REVIEWS_PENDING_ACTIONS feature flag to be enabled.
PENDING_ACTION_FILTER_UNSPECIFIED, PENDING_ACTION_FILTER_WITH_PENDING, PENDING_ACTION_FILTER_WITHOUT_PENDING Search tasks that were acted on by any of these users.
Fuzzy search tasks by display name, description, or ID.
Query tasks by display name, description, or numeric ID.
Show child attributes
Show child attributes
Filter tasks where the current approval step requires an approval reason.
Filter tasks where the current approval step requires a denial reason.
Search tasks by revoke outcome
REVOKE_OUTCOME_UNSPECIFIED, REVOKE_OUTCOME_REVOKED, REVOKE_OUTCOME_DENIED, REVOKE_OUTCOME_ERROR, REVOKE_OUTCOME_CANCELLED, REVOKE_OUTCOME_WAIT_TIMED_OUT Sort tasks in a specific order.
TASK_SEARCH_SORT_BY_UNSPECIFIED, TASK_SEARCH_SORT_BY_ACCOUNT, TASK_SEARCH_SORT_BY_RESOURCE, TASK_SEARCH_SORT_BY_ACCOUNT_OWNER, TASK_SEARCH_SORT_BY_REVERSE_TICKET_ID, TASK_SEARCH_SORT_BY_TICKET_ID, TASK_SEARCH_SORT_BY_CREATED_AT, TASK_SEARCH_SORT_BY_REVERSE_CREATED_AT, TASK_SEARCH_SORT_BY_APP_RESOURCE_ID_AND_APP_ENTITLEMENT Search tasks that have a current policy step of this type
STEP_APPROVAL_TYPE_UNSPECIFIED, STEP_APPROVAL_TYPE_USERS, STEP_APPROVAL_TYPE_MANAGER, STEP_APPROVAL_TYPE_APP_OWNERS, STEP_APPROVAL_TYPE_GROUP, STEP_APPROVAL_TYPE_SELF, STEP_APPROVAL_TYPE_ENTITLEMENT_OWNERS, STEP_APPROVAL_TYPE_EXPRESSION, STEP_APPROVAL_TYPE_WEBHOOK, STEP_APPROVAL_TYPE_RESOURCE_OWNERS, STEP_APPROVAL_TYPE_AGENT Search tasks where these users are the subject.
Search tasks with this task state.
TASK_STATE_UNSPECIFIED, TASK_STATE_OPEN, TASK_STATE_CLOSED Search tasks with this task type. This is a oneOf, and needs an object, which can be empty, to sort.
Show child attributes
Show child attributes
The userEmploymentStatuses field.
Response
The TaskSearchResponse message contains a list of results and a nextPageToken if applicable.
The TaskSearchResponse message contains a list of results and a nextPageToken if applicable.
The list of results containing up to X results, where X is the page size defined in the request.
Show child attributes
Show child attributes
List of serialized related objects.
Show child attributes
Show child attributes
The nextPageToken is shown for the next page if the number of results is larger than the max page size. The server returns one page of results and the nextPageToken until all results are retreived. To retrieve the next page, use the same request and append a pageToken field with the value of nextPageToken shown on the previous page.
Was this page helpful?